"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyState = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const Icon_1 = require("../Icon");
const font_scale_context_1 = require("../__contexts__/font-scale-context");
const react_native_themes_1 = require("@brightlayer-ui/react-native-themes");
const makeStyles = (theme, fontScale) => react_native_1.StyleSheet.create({
    root: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center',
        padding: 16,
    },
    title: {
        textAlign: 'center',
        marginTop: 16 * fontScale,
        fontSize: 22,
        letterSpacing: 0,
        color: theme.colors.onSurface,
    },
    description: {
        color: theme.colors.onSurfaceVariant,
        textAlign: 'center',
        fontSize: 14,
        letterSpacing: 0,
    },
    actions: {
        marginTop: 16 * fontScale,
    },
});
/**
 * [EmptyState](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--empty-state) component
 *
 * The `<EmptyState>` component is an element that can be used as a placeholder when no data is present (such as an empty list, or a placeholder page for future content). This is only used when no data is available, rather than during loading (see [empty states pattern](https://brightlayer-ui.github.io/patterns/empty-states)).
 */
const EmptyState = (props) => {
    const { title, description, actions, icon, iconColor, iconSize, styles = {}, style, theme: themeOverride, ...viewProps } = props;
    const theme = (0, react_native_themes_1.useExtendedTheme)(themeOverride);
    const fontScale = (0, font_scale_context_1.useFontScale)();
    const defaultStyles = makeStyles(theme, fontScale);
    const normalizeIconSize = (0, react_1.useCallback)(() => {
        if (!iconSize)
            return 100;
        return Math.max(100, Math.min(200, iconSize));
    }, [iconSize]);
    const getColor = (0, react_1.useCallback)((color) => color || theme.colors.disabled, [theme]);
    const getIcon = (0, react_1.useCallback)(() => {
        if (icon) {
            return react_1.default.createElement(Icon_1.Icon, { source: icon, size: normalizeIconSize(), color: getColor(iconColor) });
        }
    }, [icon, normalizeIconSize, getColor, iconColor]);
    return (react_1.default.createElement(react_native_1.View, { style: [defaultStyles.root, styles.root, style], ...viewProps },
        getIcon(),
        react_1.default.createElement(react_native_paper_1.Text, { variant: 'titleLarge', style: [defaultStyles.title, styles.title] }, title),
        description ? (react_1.default.createElement(react_native_paper_1.Text, { variant: 'bodyMedium', style: [defaultStyles.description, styles.description] }, description)) : null,
        actions ? react_1.default.createElement(react_native_1.View, { style: [defaultStyles.actions, styles.actions] }, actions) : null));
};
exports.EmptyState = EmptyState;
