"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Overline = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const font_scale_context_1 = require("../__contexts__/font-scale-context");
const react_native_themes_1 = require("@brightlayer-ui/react-native-themes");
const overlineStyles = (theme) => react_native_1.StyleSheet.create({
    root: {
        color: theme.colors.onSurface,
        letterSpacing: 2,
        textTransform: 'uppercase',
    },
});
const Overline = (props) => {
    const { children, style, styles = {}, theme: themeOverride, ...otherTextProps } = props;
    const theme = (0, react_native_themes_1.useExtendedTheme)(themeOverride);
    const defaultStyles = overlineStyles(theme);
    const { maxScale, disableScaling } = (0, font_scale_context_1.useFontScaleSettings)();
    return (react_1.default.createElement(react_native_paper_1.Text, { variant: 'labelMedium', style: [defaultStyles.root, styles.root, style], allowFontScaling: !disableScaling, maxFontSizeMultiplier: maxScale, ...otherTextProps }, children));
};
exports.Overline = Overline;
